#!/bin/bash
war=$1

if [ "$war" = "" ] ;  then
	echo "War file name cannot be empty!"
	exit 0
fi
cp $war $war.backup

main=`pwd`

follow_links() {
  file="$1"
  while [ -h "$file" ]; do
    # On Mac OS, readlink -f doesn't work.
    file="$(readlink "$file")"
  done
  echo "$file"
}

# Unlike $0, $BASH_SOURCE points to the absolute path of this file.
path=`dirname "$(follow_links "$0")"`

mkdir tmp
(cd tmp; unzip -uo ../$war)

rm tmp/WEB-INF/lib/zss-*.jar
rm tmp/WEB-INF/lib/zssmodel-*.jar
rm tmp/WEB-INF/lib/zssex-*.jar
rm tmp/WEB-INF/lib/zsspdf-*.jar
rm tmp/WEB-INF/lib/zssjsf-*.jar
rm tmp/WEB-INF/lib/zssjsp-*.jar
rm tmp/WEB-INF/lib/zsshtml-*.jar
# delete binary release jar one by one to avoid deleting irrelevant jar like zssapp.jar
rm tmp/WEB-INF/lib/zss.jar
rm tmp/WEB-INF/lib/zssmodel.jar
rm tmp/WEB-INF/lib/zssex.jar
rm tmp/WEB-INF/lib/zsspdf.jar
rm tmp/WEB-INF/lib/zssjsf.jar
rm tmp/WEB-INF/lib/zssjsp.jar
rm tmp/WEB-INF/lib/zsshtml.jar

rm tmp/WEB-INF/lib/zpoi*.jar
cp -f "$path"/../lib/*.jar tmp/WEB-INF/lib/
jar -cvf $war -C tmp .
rm -rf tmp